## mxfdemux mxfdemux — Demux MXF files |

## Synopsis

    struct              GstMXFDemux;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstMXFDemux

## Properties

      "package"                  gchar*                : Read / Write
      "max-drift"                guint64               : Read / Write
      "structure"                GstStructure*         : Read

## Description

mxfdemux demuxes an MXF file into the different contained streams.

### Example launch line

    1
    gst-launch -v filesrc location=/path/to/mxf ! mxfdemux ! audioconvert ! autoaudiosink

This pipeline demuxes an MXF file and outputs one of the contained raw audio streams.

## Synopsis

### Element Information

plugin | mxf
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | application/mxf

name | track_%u
direction | source
presence | sometimes
details | ANY

## Details

### struct GstMXFDemux

    struct GstMXFDemux;

## Property Details

### The `"package"` property

      "package"                  gchar*                : Read / Write

Material or Source package to use for playback.

Default value: NULL

### The `"max-drift"` property

      "max-drift"                guint64               : Read / Write

Maximum number of nanoseconds by which tracks can differ.

Allowed values: >= 100000000

Default value: 500000000

### The `"structure"` property

      "structure"                GstStructure*         : Read

Structural metadata of the MXF file.